summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPiotr Karbowski <slashbeast@gentoo.org>2019-03-09 20:25:29 +0100
committerPiotr Karbowski <slashbeast@gentoo.org>2019-03-09 20:25:29 +0100
commit4b19892778f54156238430cf2a30c1fe0f1880a6 (patch)
tree5b06b45a0fb979d276712a1c9df0a320ed3d555c /mail-mta
parentmedia-libs/vulkan-layers: x86 keyworded (bug #679350) (diff)
downloadgentoo-4b19892778f54156238430cf2a30c1fe0f1880a6.tar.gz
gentoo-4b19892778f54156238430cf2a30c1fe0f1880a6.tar.bz2
gentoo-4b19892778f54156238430cf2a30c1fe0f1880a6.zip
mail-mta/protonmail-bridge-bin: 1.1.3 bump, 1.1.0 removal. Takeover.
Proxy maintainer timed out. Adding myself to metadata.xml. Bump to 1.1.3 and removal of 1.1.0 that have no longer binary package available. Removed some more bogus files and unused libraries from package as well as we now depends on glib useflag of pulseaudio. Closes: https://bugs.gentoo.org/678794 Closes: https://bugs.gentoo.org/679732 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>
Diffstat (limited to 'mail-mta')
-rw-r--r--mail-mta/protonmail-bridge-bin/Manifest2
-rw-r--r--mail-mta/protonmail-bridge-bin/metadata.xml4
-rw-r--r--mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.3.ebuild (renamed from mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.0.ebuild)31
3 files changed, 27 insertions, 10 deletions
diff --git a/mail-mta/protonmail-bridge-bin/Manifest b/mail-mta/protonmail-bridge-bin/Manifest
index 6b6aba15672..f53d555f13c 100644
--- a/mail-mta/protonmail-bridge-bin/Manifest
+++ b/mail-mta/protonmail-bridge-bin/Manifest
@@ -1 +1 @@
-DIST protonmail-bridge-1.1.0-1.x86_64.rpm 47088500 BLAKE2B 0970839501ced47f222bfdcb7dd26083eaa7d19d61da7c811bfe7e7544bd53c89b3e8879f544c474c9cdd92572a4ed051ae40d73fac031503ea23c8eb414eb2b SHA512 352abdc850244b00985084d708a34a73f83541753a37432bc024b5dbc5916d6514bc235f80bcd949a54517b2b3f4b3aac9b0d4592398cf206339a23b5bf8a355
+DIST protonmail-bridge-1.1.3-1.x86_64.rpm 53554820 BLAKE2B 2fb0eb7b1a1d95ed3cf5785e527692497429f73eeb37dd9a98da7b5b30cafde048898026c8934b76630976585eb43c0a9392efdcb10b8f2ae8002884312a9142 SHA512 61a4a28fe9efbeeaecd79392eb730916e67dfffc1bcc5bbee156e3dd786dfeae5b39092ccab4c6d5ff9719d0792752732b52bc87615a7922c16cf6203eb57f5b
diff --git a/mail-mta/protonmail-bridge-bin/metadata.xml b/mail-mta/protonmail-bridge-bin/metadata.xml
index 6bf484adc0d..723b5af565f 100644
--- a/mail-mta/protonmail-bridge-bin/metadata.xml
+++ b/mail-mta/protonmail-bridge-bin/metadata.xml
@@ -2,6 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
+ <email>slashbeast@gentoo.org</email>
+ <name>Piotr Karbowski</name>
+ </maintainer>
+ <maintainer type="person">
<email>lucianposton@pm.me</email>
<name>Lucian Poston</name>
</maintainer>
diff --git a/mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.0.ebuild b/mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.3.ebuild
index 02b7b4f8ddf..35b2fe8b070 100644
--- a/mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.0.ebuild
+++ b/mail-mta/protonmail-bridge-bin/protonmail-bridge-bin-1.1.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -20,7 +20,7 @@ DEPEND=""
RDEPEND="
app-crypt/libsecret
dev-libs/glib:2
- media-sound/pulseaudio
+ media-sound/pulseaudio[glib]
sys-apps/dbus
virtual/opengl
media-libs/fontconfig
@@ -39,9 +39,12 @@ S="${WORKDIR}"
QA_PREBUILT="*"
src_prepare() {
+ # Some bogus files got into package.
+ rm -rf usr/lib/.build-id
+
# Bug #660366. To workaround preserving libs, set RUNPATH and rm unused libs
cd "${S}/usr/lib/protonmail/bridge" || die
- patchelf --set-rpath '$ORIGIN/lib' Desktop-Bridge || die "patchelf failed"
+ patchelf --set-rpath '$ORIGIN/lib' protonmail-bridge || die "patchelf failed"
patchelf --set-rpath '$ORIGIN' lib/libicui18n.so.56 || die "patchelf failed"
patchelf --set-rpath '$ORIGIN' lib/libicuuc.so.56 || die "patchelf failed"
@@ -57,7 +60,6 @@ src_prepare() {
rm "lib/libQt5Concurrent.so.5" || die
rm "lib/libQt5Gamepad.so.5" || die
rm "lib/libQt5QuickParticles.so.5" || die
- rm "lib/libqgsttools_p.so.1" || die
rm "plugins/audio/libqtaudio_alsa.so" || die
rm "plugins/audio/libqtmedia_pulse.so" || die
rm "plugins/bearer/libqconnmanbearer.so" || die
@@ -85,7 +87,6 @@ src_prepare() {
rm "plugins/geoservices/libqtgeoservices_nokia.so" || die
rm "plugins/geoservices/libqtgeoservices_osm.so" || die
rm "plugins/iconengines/libqsvgicon.so" || die
- rm "plugins/imageformats/libqjp2.so" || die
rm "plugins/mediaservice/libgstaudiodecoder.so" || die
rm "plugins/mediaservice/libgstcamerabin.so" || die
rm "plugins/mediaservice/libgstmediacapture.so" || die
@@ -139,14 +140,11 @@ src_prepare() {
rm "qml/Qt3D/Render/libquick3drenderplugin.so" || die
rm "qml/QtBluetooth/libdeclarative_bluetooth.so" || die
rm "qml/QtCanvas3D/libqtcanvas3d.so" || die
- rm "qml/QtCharts/libqtchartsqml2.so" || die
- rm "qml/QtDataVisualization/libdatavisualizationqml2.so" || die
rm "qml/QtGamepad/libdeclarative_gamepad.so" || die
rm "qml/QtLocation/libdeclarative_location.so" || die
rm "qml/QtMultimedia/libdeclarative_multimedia.so" || die
rm "qml/QtNfc/libdeclarative_nfc.so" || die
rm "qml/QtPositioning/libdeclarative_positioning.so" || die
- rm "qml/QtPurchasing/libdeclarative_purchasing.so" || die
rm "qml/QtQml/Models.2/libmodelsplugin.so" || die
rm "qml/QtQml/StateMachine/libqtqmlstatemachine.so" || die
rm "qml/QtQuick/Controls.2/Material/libqtquickcontrols2materialstyleplugin.so" || die
@@ -170,6 +168,21 @@ src_prepare() {
rm "qml/QtWebEngine/libqtwebengineplugin.so" || die
rm "qml/QtWebSockets/libdeclarative_qmlwebsockets.so" || die
rm "qml/QtWebView/libdeclarative_webview.so" || die
+ rm "lib/libQt5MultimediaGstTools.so.5" || die
+ rm "lib/libQt5OpenGL.so.5" || die
+ rm "lib/libQt5QuickWidgets.so.5" || die
+ rm "lib/libQt5EglFsKmsSupport.so.5" || die
+ rm "plugins/position/libqtposition_serialnmea.so" || die
+ rm "plugins/webview/libqtwebview_webengine.so" || die
+ rm "plugins/egldeviceintegrations/libqeglfs-kms-egldevice-integration.so" || die
+ rm "plugins/texttospeech/libqtexttospeech_speechd.so" || die
+ rm "plugins/canbus/libqtpassthrucanbus.so" || die
+ rm "qml/QtQuick/Shapes/libqmlshapesplugin.so" || die
+ rm "qml/QtQuick/Controls.2/Fusion/libqtquickcontrols2fusionstyleplugin.so" || die
+ rm "qml/QtQuick/Controls.2/Imagine/libqtquickcontrols2imaginestyleplugin.so" || die
+ rm "qml/QtQml/RemoteObjects/libqtqmlremoteobjects.so" || die
+ rm "qml/Qt/labs/handlers/libhandlersplugin.so" || die
+ rm "qml/Qt/labs/location/liblocationlabsplugin.so" || die
default
}
@@ -178,7 +191,7 @@ src_install() {
# Using doins -r would strip executable bits from all binaries
cp -pPR usr "${D}"/ || die "Failed to copy files"
- dosym "Desktop-Bridge" "/usr/bin/${PN}"
+ dosym "protonmail-bridge" "/usr/bin/${PN}"
insinto /etc/revdep-rebuild
newins - "50-${PN}" <<-EOF